package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.vo.performance.*;

import javax.servlet.http.HttpServletRequest;

public interface IPerformanceService {
    PageResult<PayPerformanceResult> query(PayPerformanceParam param, HttpServletRequest request);

    AjaxResult<PayPerformanceDetailResult> view(String planid, Integer sellorbuy, String histradedate, HttpServletRequest request);

    AjaxResult doBreach(PayPerformanceBreachParam param, HttpServletRequest request);

    AjaxResult doDelay(PayPerformanceDelayParam param, HttpServletRequest request);

    PageResult<PerformanceDelayApplyResult> performancedelay(PerformanceDelayApplyParam param, HttpServletRequest request);

    PageResult<PerformanceDelayApplyResult> breachapply(PerformanceDelayApplyParam param, HttpServletRequest request);

    AjaxResult<PerformanceApplyDetailResult> delayDetail(Long autoid, HttpServletRequest request);

    AjaxResult<PerformanceBreachDetailResult> breachDetail(Long breachapplyid, HttpServletRequest request);

    PageResult<PerformanceDelayApplyResult> queryBreachDel(PerformanceDelayApplyParam param, HttpServletRequest request);
}
